# Uses of Class
org.eclipse.net4j.util.factory.FactoryKey

Packages that use FactoryKey
Package
Description
org.eclipse.net4j.util.factory
A framework for factory based instance creation.

## Uses of FactoryKey in org.eclipse.net4j.util.factory

Methods in org.eclipse.net4j.util.factory that return FactoryKey
Modifier and Type
Method
Description
`FactoryKey`
Factory.`getKey()`
Methods in org.eclipse.net4j.util.factory with parameters of type FactoryKey
Modifier and Type
Method
Description
`int`
FactoryKey.`compareTo(FactoryKey key)`
Constructors in org.eclipse.net4j.util.factory with parameters of type FactoryKey
Modifier
Constructor
Description
``
`Factory(FactoryKey key)`
``
`PropertiesFactory(FactoryKey key)`
``
`SingletonFactory(FactoryKey key, Object product)`
``
`TreeFactory(FactoryKey key)`